%global maj 0

Summary:        An LV2 Resource Description Framework Library
Name:           lilv
Version:        0.24.20
Release:        5%{?dist}
License:        MIT
URL:            https://drobilla.net/software/lilv.html
Source0:        http://download.drobilla.net/%{name}-%{version}.tar.xz

BuildRequires:  gcc gcc-c++ meson swig doxygen graphviz
BuildRequires:  python3 python3-devel
BuildRequires:  sord-devel sratom-devel lv2-devel serd-devel
BuildRequires:  libsndfile-devel
Requires:       lv2

%description
Lilv is a C library (with Python bindings) for simple use of LV2 plugins
in applications, which includes utilities for investigating installed LV2 plugins.

Lilv is the successor to SLV2, rewritten to be significantly faster and have minimal
dependencies. It is stable, well-tested (the included test suite covers well over
90% of the code), and used by many applications.


%package libs
Summary:    Libraries for %{name}

%description libs
This package contains the libraries for %{name}.


%package devel
Summary:    Development libraries and headers for %{name}
Requires:   %{name}-libs = %{version}-%{release}

%description devel
This package contains headers and development libraries for %{name}.


%package -n python3-%{name}
Summary:    Python bindings for %{name}
Requires:   %{name}-libs = %{version}-%{release}

%description -n python3-%{name}
This package contains the python libraries for %{name}.


%prep
%autosetup -p1


%build
%meson -D docs=disabled
%meson_build


%install
%meson_install

chmod +x %{buildroot}%{_libdir}/lib%{name}-%{maj}.so.*



%check
%meson_test


%files
%{_sysconfdir}/bash_completion.d/lilv
%{_bindir}/lv2info
%{_bindir}/lv2ls
%{_bindir}/lv2bench
%{_bindir}/lv2apply
%{_mandir}/man1/*


%files libs
%license COPYING
%doc AUTHORS NEWS README.md
%{_libdir}/lib%{name}-%{maj}.so.*


%files devel
%{_libdir}/lib%{name}-%{maj}.so
%{_libdir}/pkgconfig/%{name}-%{maj}.pc
%{_includedir}/%{name}-%{maj}/


%files -n python3-%{name}
%{python3_sitelib}/%{name}.*
%{python3_sitelib}/__pycache__/*


%changelog
* Mon Nov 13 2023 cunshunxia@tencent.com - 0.24.20-5
- Rebuilt for libsndfile 1.2.0-4

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.24.20-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.24.20-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.24.20-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 21 2023 rockerzhu <rockerzhu@tencent.com> - 0.24.20-1
- Initial build.
